@ECHO off
rem ******************************************************************************************************************************
rem * Licensed Materials - Property of IBM                                                                                       *
rem * (c) Copyright IBM Corp. 2008, 2009 All Rights Reserved.                                                                    *
rem *                                                                                                                            *
rem *US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp*
rem ******************************************************************************************************************************


IF NOT DEFINED LOCALE (SET LOCALE= )
SET LOCEN=0409
SET LOCIT=0410 
SET LOCJP=0411 
SET LOCKO=0412 
SET LOCPO=0415 
SET LOCCHS=0804
SET LOCCHT=0404
SET LOCDE=0407
SET LOCES=0C0A
SET LOCFR=040C
SET LOCFRCAN=0C0C
SET LOCPTBR=0416




IF NOT DEFINED CURINST (SET CURINST= )
IF NOT DEFINED DBNAME (SET DBNAME= )
IF NOT DEFINED DBUSER (SET DBUSER= )
IF NOT DEFINED DBPASSWD (SET DBPASSWD= )
IF NOT DEFINED NF_SCHEMA (SET NF_SCHEMA= )
IF NOT DEFINED STAR_SCHEMA (SET STAR_SCHEMA= )
IF NOT DEFINED RIBA_SCHEMA (SET RIBA_SCHEMA= )
IF NOT DEFINED RIASSET_SCHEMA (SET RIASSET_SCHEMA= )
IF NOT DEFINED RISCHK_SCHEMA (SET RISCHK_SCHEMA= )
IF NOT DEFINED REP_USER (SET REP_USER= )
IF NOT DEFINED DATA_HOME (SET DATA_HOME= )
IF NOT DEFINED START_YEAR (SET START_YEAR= )
IF NOT DEFINED END_YEAR (SET END_YEAR= )

IF NOT DEFINED JAVA_HOME (SET JAVA_HOME= )



SET EXITCODE=0
SET MESSAGE= xxx
SET ACTION=x

IF NOT EXIST set_env.bat (
                           SET EXITCODE=4597 
                           GOTO done
                                    ) ELSE (                
                       call set_env.bat
                                  )



IF "%JAVA_HOME%" EQU " " (
SET EXITCODE= 4596 
GOTO done)  


SET CURDIR=%CD%

CD /d "%JAVA_HOME%\bin"
IF "%ERRORLEVEL%" EQU "1" (
SET EXITCODE=4596
GOTO done)

IF NOT EXIST java.exe (
SET EXITCODE= 4598
GOTO done   ) 

CD /d %CURDIR%

set path=%JAVA_HOME%\bin;%path%

REG QUERY "HKCU\Control Panel\International" /v Locale>locale.txt

java com.ibm.rational.rcpr.common.db.install.SearchAndReplace %LOCIT% locale.txt>nul
IF "%ERRORLEVEL%" EQU "1" (
SET LOCALE=%LOCIT%
call lang\it\messages.bat) 
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace %LOCJP% locale.txt>nul
IF "%ERRORLEVEL%" EQU "1" (
SET LOCALE=%LOCJP%
call lang\jp\messages.bat)
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace %LOCKO% locale.txt>nul
IF "%ERRORLEVEL%" EQU "1" (
SET LOCALE=%LOCKO%
call lang\kr\messages.bat)
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace %LOCPO% locale.txt>nul
IF "%ERRORLEVEL%" EQU "1" (
SET LOCALE=%LOCPO%
call lang\pl\messages.bat)
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace %LOCCHS% locale.txt>nul
IF "%ERRORLEVEL%" EQU "1" (
SET LOCALE=%LOCCHS%
call lang\zh_CN\messages.bat)
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace %LOCCHT% locale.txt>nul
IF "%ERRORLEVEL%" EQU "1" (
SET LOCALE=%LOCCHT%
call lang\zh_TW\messages.bat)
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace %LOCEN% locale.txt>nul
IF "%ERRORLEVEL%" EQU "1" (
SET LOCALE=%LOCEN%
call lang\en\messages.bat)
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace %LOCDE% locale.txt>nul
IF "%ERRORLEVEL%" EQU "1" (
SET LOCALE=%LOCDE%
call lang\de\messages.bat)
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace %LOCES% locale.txt>nul
IF "%ERRORLEVEL%" EQU "1" (
SET LOCALE=%LOCES%
call lang\es\messages.bat)
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace %LOCFR% locale.txt>nul
IF "%ERRORLEVEL%" EQU "1" (
SET LOCALE=%LOCFR%
call lang\fr\messages.bat)
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace %LOCFRCAN% locale.txt>nul
IF "%ERRORLEVEL%" EQU "1" (
SET LOCALE=%LOCFRCAN%
call lang\fr\messages.bat)
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace %LOCPTBR% locale.txt>nul
IF "%ERRORLEVEL%" EQU "1" (
SET LOCALE=%LOCPTBR%
call lang\pt_BR\messages.bat)
IF "%LOCALE%" EQU " " (
SET LOCALE=%LOCEN%
call lang\en\messages.bat)

IF "%1" EQU "-validate" (GOTO validate)
REM IF "%2" NEQ "" (IF "%2" EQU "-validate" (GOTO validate ))
REM IF "%3" NEQ "" (IF "%3" EQU "-validate" (GOTO validate ))



SET EXITCODE=0
SET MESSAGE=No errors
SET ACTION= 




SET /A SILENT=0
IF "%1" EQU "-silent" (
SET /A SILENT=1) 

SET DB2_CMD=
IF "%1" EQU "-debug" (SET DB2_CMD= db2 -tvsf ) ELSE (SET DB2_CMD= db2 -tsf)
IF "%2" NEQ "" (IF "%2" EQU "-debug" (SET DB2_CMD= db2 -tvf ) ELSE (SET DB2_CMD= db2 -tf))
IF "%3" NEQ "" (IF "%3" EQU "-debug" (SET DB2_CMD= db2 -tvf ) ELSE (SET DB2_CMD= db2 -tf))

IF %SILENT% EQU 0 (
call parameters.bat
)

IF "%CURINST%" EQU " " (
SET EXITCODE=%CRREW4501E%
SET MESSAGE=%CRREWMSGE001%
GOTO done)  

IF "%DBNAME%" EQU " " (
SET EXITCODE=%CRREW4502E%
SET MESSAGE=%CRREWMSGE002%
GOTO done) 

IF "%DBUSER%" EQU " " (
SET EXITCODE=%CRREW4503E%
SET MESSAGE=%CRREWMSGE003%
GOTO done)

IF %SILENT% EQU 0 (
SET /P DBPASSWD=%CRREWPRMPT004%
)

IF "%DBPASSWD%" EQU " " (
SET EXITCODE=%CRREW4504E%
SET MESSAGE=%CRREWMSGE004%
GOTO done)

IF "%NF_SCHEMA%" EQU " " (
SET EXITCODE=%CRREW4505E%
SET MESSAGE=%CRREWMSGE005%
GOTO done)

IF "%STAR_SCHEMA%" EQU " " (
SET EXITCODE=%CRREW4506E%
SET MESSAGE=%CRREWMSGE006%
GOTO done)

IF "%RIBA_SCHEMA%" EQU " " (
SET EXITCODE=%CRREW4605E%
SET MESSAGE=%CRREWMSGE105%
GOTO done)

IF "%RIASSET_SCHEMA%" EQU " " (
SET EXITCODE=%CRREW4610E%
SET MESSAGE=%CRREWMSGE110%
GOTO done)

IF "%RISCHK_SCHEMA%" EQU " " (
SET EXITCODE=%CRREW4615E%
SET MESSAGE=%CRREWMSGE115%
GOTO done)

IF "%REP_USER%" EQU " " (
SET EXITCODE=%CRREW4507E%
SET MESSAGE=%CRREWMSGE007%
GOTO done)

IF "%DBUSER%" EQU "%REP_USER%" (
SET EXITCODE=%CRREW4595E%
SET MESSAGE=%CRREWMSGE095%
GOTO done)

IF "%DATA_HOME%" EQU " " (
SET EXITCODE=%CRREW4508E%
SET MESSAGE=%CRREWMSGE008%
GOTO done)

SET DATA_HOME=%DATA_HOME%\%DBNAME%

IF "%START_YEAR%" EQU " " (
SET EXITCODE=%CRREW4509E%
SET MESSAGE=%CRREWMSGE009%
GOTO done)

IF "%END_YEAR%" EQU " " (
SET EXITCODE=%CRREW4510E%
SET MESSAGE=%CRREWMSGE010%
GOTO done)


)

SET CONNSTR= db2 "CONNECT TO %DBNAME% USER '%DBUSER%' USING '%DBPASSWD%'"

SET DB2INSTANCE=%CURINST%

IF %SILENT% EQU 1 (
SETLOCAL ENABLEDELAYEDEXPANSION
%CONNSTR%
db2 "SELECT COUNT(*) FROM CONFIG.ETL_INFO"
IF "!ERRORLEVEL!" EQU "0" (
SETLOCAL DISABLEDELAYEDEXPANSION
GOTO done)
SETLOCAL DISABLEDELAYEDEXPANSION
)


IF NOT EXIST work_spc\nul (MKDIR work_spc) ELSE (
RMDIR /S /Q work_spc
MKDIR work_spc
)
IF "%ERRORLEVEL%" NEQ "0" (
SET EXITCODE=%CRREW4576E%
SET MESSAGE=%CRREWMSGE076%
GOTO done)
IF NOT EXIST logs\nul (MKDIR logs) ELSE (
RMDIR /S /Q logs
MKDIR logs
)
IF "%ERRORLEVEL%" NEQ "0" (
SET EXITCODE=%CRREW4576E%
SET MESSAGE=%CRREWMSGE076%
GOTO done)
IF NOT EXIST work_spc\temp\nul (MKDIR work_spc\temp) ELSE (
RMDIR /S /Q work_spc\temp
MKDIR work_spc\temp
)
IF "%ERRORLEVEL%" NEQ "0" (
SET EXITCODE=%CRREW4576E%
SET MESSAGE=%CRREWMSGE076%
GOTO done)

XCOPY /Y /I /E /Q createDB work_spc\createDB
IF %ERRORLEVEL% GTR 1 ( 
SET MESSAGE=%CRREWMSGE024%
SET EXITCODE=%CRREW4524E%
GOTO done)
XCOPY /Y /I /E /Q ddl work_spc\ddl
IF %ERRORLEVEL% GTR 1 ( 
SET MESSAGE=%CRREWMSGE024%
SET EXITCODE=%CRREW4524E%
GOTO done)
XCOPY /Y /I /E /Q scripts work_spc\scripts
IF %ERRORLEVEL% GTR 1 ( 
SET MESSAGE=%CRREWMSGE024%
SET EXITCODE=%CRREW4524E%
GOTO done)



java com.ibm.rational.rcpr.common.db.install.SearchAndReplace $DBNAME %DBNAME% createDB\createdb.sql work_spc\createDB\createdb.sql
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace $BASEDIR "%DATA_HOME%"\ createDB\tbspace.sql work_spc\createDB\tbspace.sql
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace $NF_SCHEMA %NF_SCHEMA% ddl\createNF.ddl work_spc\ddl\createNF.ddl
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace $NF_SCHEMA %NF_SCHEMA% scripts\initNF.sql work_spc\scripts\initNF.sql
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace $RIASSET %RIASSET_SCHEMA% ddl\createRIASSET.ddl work_spc\temp\createRIASSET.ddl
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace $NF_SCHEMA %NF_SCHEMA% work_spc\temp\createRIASSET.ddl work_spc\ddl\createRIASSET.ddl
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace $RIASSET %RIASSET_SCHEMA% scripts\initRIASSET.sql work_spc\scripts\initRIASSET.sql
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace $STAR_SCHEMA %STAR_SCHEMA% ddl\createSTAR.ddl work_spc\ddl\createSTAR.ddl
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace $STAR_SCHEMA %STAR_SCHEMA% scripts\initSTAR.sql work_spc\scripts\initSTAR.sql
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace $RISCHK %RISCHK_SCHEMA% ddl\createRISCHK.ddl work_spc\temp\createRISCHK.ddl
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace $NF_SCHEMA %NF_SCHEMA% work_spc\temp\createRISCHK.ddl work_spc\ddl\createRISCHK.ddl
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace $RISCHK %RISCHK_SCHEMA% scripts\initRISCHK.sql work_spc\scripts\initRISCHK.sql
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace $RIBA_SCHEMA %RIBA_SCHEMA% ddl\createRIBA.ddl work_spc\ddl\createRIBA.ddl

java com.ibm.rational.rcpr.common.db.install.SearchAndReplace $STAR_SCHEMA %STAR_SCHEMA% scripts\star_grants.sql work_spc\temp\star_grants1.sql
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace $RIBA_SCHEMA %RIBA_SCHEMA% work_spc\temp\star_grants1.sql work_spc\temp\star_grants2.sql
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace $REP_USER %REP_USER% work_spc\temp\star_grants2.sql work_spc\scripts\star_grants.sql
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace $RIBA_SCHEMA %RIBA_SCHEMA% scripts\riba_grants.sql work_spc\temp\riba_grants1.sql
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace $REP_USER %REP_USER% work_spc\temp\riba_grants1.sql work_spc\scripts\riba_grants.sql

java com.ibm.rational.rcpr.common.db.install.SearchAndReplace $STAR_SCHEMA %STAR_SCHEMA% ddl\createSTARViews.ddl work_spc\temp\createSTARViews1.ddl
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace $NF_SCHEMA %NF_SCHEMA% work_spc\temp\createSTARViews1.ddl work_spc\temp\createSTARViews.ddl
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace $RIASSET %RIASSET_SCHEMA% work_spc\temp\createSTARViews.ddl work_spc\temp\createSTARViews2.ddl
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace $RISCHK %RISCHK_SCHEMA% work_spc\temp\createSTARViews2.ddl work_spc\ddl\createSTARViews.ddl

RMDIR /S /Q work_spc\temp

db2 terminate

IF "%1" EQU "-schema" (GOTO schema)
IF "%2" NEQ "" (IF "%2" EQU "-schema" (GOTO schema))
set SCHEMA_RIBA=0
FOR %%I IN (%*) DO (IF "%%I" EQU "-riba" (set SCHEMA_RIBA=1& GOTO schema_riba))

%DB2_CMD% work_spc\createDB\createdb.sql> logs\createdb.log
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace SQL "%CD%"\logs\createdb.log>nul
IF "%ERRORLEVEL%" EQU "1" ( 
SET MESSAGE=%CRREWMSGE013%  
SET EXITCODE=%CRREW4513E%
SET ACTION=%CRREWECH003%
GOTO done)

call work_spc\createDB\db2_set.bat
db2set>logs\db2_set.log
call work_spc\createDB\db_cfg.bat %DBNAME%>logs\db_cfg.log
call work_spc\createDB\dbm_cfg.bat>logs\dbm_cfg.log

FOR /F %%I IN ('db2licm -v') DO SET DB2VER=%%I
REM DB2 9.1 doesn't support AUTOMATIC keyword, keeping up the same value with MAXAGENTS
IF "%DB2VER%" EQU "9.1" (
	db2 UPDATE DBM CFG USING MAX_CONNECTIONS -1
	db2 UPDATE DBM CFG USING MAX_COORDAGENTS -1
	db2 UPDATE DBM CFG USING FENCED_POOL -1
) ELSE (
	db2 UPDATE DBM CFG USING MAX_CONNECTIONS AUTOMATIC
	db2 UPDATE DBM CFG USING MAX_COORDAGENTS AUTOMATIC
	db2 UPDATE DBM CFG USING FENCED_POOL AUTOMATIC
)

%CONNSTR%

%DB2_CMD% work_spc\createDB\bufferpool.sql> logs\bufferpool.log
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace SQLSTATE "%CD%"\logs\bufferpool.log>nul
IF "%ERRORLEVEL%" EQU "1" ( 
SET MESSAGE=%CRREWMSGE014%  
SET EXITCODE=%CRREW4514E%
SET ACTION=%CRREWECH004%
GOTO done)

db2 force applications all
db2stop force
db2start
db2start

%CONNSTR%

%DB2_CMD% work_spc\createDB\tbspace.sql> logs\tbspace.log
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace SQLSTATE "%CD%"\logs\tbspace.log>nul
IF "%ERRORLEVEL%" EQU "1" ( 
SET MESSAGE=%CRREWMSGE015%  
SET EXITCODE=%CRREW4515E%
SET ACTION=%CRREWECH005%
GOTO done)


:schema
%CONNSTR%
%DB2_CMD% work_spc\ddl\createSTGCFG.ddl> logs\createSTGCFG.log
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace SQLSTATE "%CD%"\logs\createSTGCFG.log>nul
IF "%ERRORLEVEL%" EQU "1" ( 
SET MESSAGE=%CRREWMSGE016%  
SET EXITCODE=%CRREW4516E%
SET ACTION=%CRREWECH006%
GOTO done)

%DB2_CMD% work_spc\ddl\createNF.ddl> logs\createNF.log
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace SQLSTATE "%CD%"\logs\createNF.log>nul
IF "%ERRORLEVEL%" EQU "1" ( 
SET MESSAGE=%CRREWMSGE017%  
SET EXITCODE=%CRREW4517E%
SET ACTION=%CRREWECH007%
GOTO done)

%DB2_CMD% work_spc\ddl\createSTAR.ddl> logs\createSTAR.log
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace SQLSTATE "%CD%"\logs\createSTAR.log>nul
IF "%ERRORLEVEL%" EQU "1" ( 
SET MESSAGE=%CRREWMSGE018%  
SET EXITCODE=%CRREW4518E%
SET ACTION=%CRREWECH008%
GOTO done)

:schema_riba
%CONNSTR%
%DB2_CMD% work_spc\ddl\createRIBA.ddl> logs\createRIBA.log
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace SQLSTATE "%CD%"\logs\createRIBA.log>nul
IF "%ERRORLEVEL%" EQU "1" ( 
SET MESSAGE=%CRREWMSGE106%  
SET EXITCODE=%CRREW4606E%
SET ACTION=%CRREWECH034%
GOTO done)

%DB2_CMD% work_spc\scripts\riba_grants.sql> logs\riba_grants.log
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace SQLSTATE "%CD%"\logs\riba_grants.log>nul
IF "%ERRORLEVEL%" EQU "1" ( 
SET MESSAGE=%CRREWMSGE023%  
SET EXITCODE=%CRREW4523E%
SET ACTION=%CRREWECH013%
GOTO done)

IF "%SCHEMA_RIBA%" EQU "1" ( 
GOTO done )

%DB2_CMD% work_spc\ddl\createRIASSET.ddl> logs\createRIASSET.log
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace SQLSTATE "%CD%"\logs\createRIASSET.log>nul
IF "%ERRORLEVEL%" EQU "1" ( 
SET MESSAGE=%CRREWMSGE111%  
SET EXITCODE=%CRREW4611E%
SET ACTION=%CRREWECH037%
GOTO done)

%DB2_CMD% work_spc\ddl\createRISCHK.ddl> logs\createRISCHK.log
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace SQLSTATE "%CD%"\logs\createRISCHK.log>nul
IF "%ERRORLEVEL%" EQU "1" ( 
SET MESSAGE=%CRREWMSGE113%  
SET EXITCODE=%CRREW4613E%
SET ACTION=%CRREWECH039%
GOTO done)

%DB2_CMD% work_spc\ddl\createSTARViews.ddl> logs\createSTARViews.log
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace SQLSTATE "%CD%"\logs\createSTARViews.log>nul
IF "%ERRORLEVEL%" EQU "1" ( 
SET MESSAGE=%CRREWMSGE019%  
SET EXITCODE=%CRREW4519E%
SET ACTION=%CRREWECH009%
GOTO done)

%DB2_CMD% work_spc\scripts\initCONFIG.sql> logs\initCONFIG.log
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace SQLSTATE "%CD%"\logs\initCONFIG.log>nul
IF "%ERRORLEVEL%" EQU "1" ( 
SET MESSAGE=%CRREWMSGE020%  
SET EXITCODE=%CRREW4520E%
SET ACTION=%CRREWECH010%
GOTO done)

%DB2_CMD% work_spc\scripts\initNF.sql> logs\initNF.log
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace SQLSTATE "%CD%"\logs\initNF.log>nul
IF "%ERRORLEVEL%" EQU "1" ( 
SET MESSAGE=%CRREWMSGE021%  
SET EXITCODE=%CRREW4521E%
SET ACTION=%CRREWECH011%
GOTO done)

%DB2_CMD% work_spc\scripts\initRIASSET.sql> logs\initRIASSET.log
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace SQLSTATE "%CD%"\logs\initRIASSET.log>nul
IF "%ERRORLEVEL%" EQU "1" ( 
SET MESSAGE=%CRREWMSGE112%  
SET EXITCODE=%CRREW4612E%
SET ACTION=%CRREWECH038%
GOTO done)

%DB2_CMD% work_spc\scripts\initRISCHK.sql> logs\initRISCHK.log
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace SQLSTATE "%CD%"\logs\initRISCHK.log>nul
IF "%ERRORLEVEL%" EQU "1" ( 
SET MESSAGE=%CRREWMSGE114%  
SET EXITCODE=%CRREW4614E%
SET ACTION=%CRREWECH040%
GOTO done)

%DB2_CMD% work_spc\scripts\initSTAR.sql> logs\initSTAR.log
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace SQLSTATE "%CD%"\logs\initSTAR.log>nul
IF "%ERRORLEVEL%" EQU "1" ( 
SET MESSAGE=%CRREWMSGE022%  
SET EXITCODE=%CRREW4522E%
SET ACTION=%CRREWECH012%
GOTO done)

%DB2_CMD% work_spc\scripts\star_grants.sql> logs\star_grants.log
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace SQLSTATE "%CD%"\logs\star_grants.log>nul
IF "%ERRORLEVEL%" EQU "1" ( 
SET MESSAGE=%CRREWMSGE023%  
SET EXITCODE=%CRREW4523E%
SET ACTION=%CRREWECH013%
GOTO done)

java -Ddbms="DB2" -Dalias="%DBNAME%" -Dschema="%STAR_SCHEMA%" -Dstart="%START_YEAR%" -Dend="%END_YEAR%" com.ibm.rational.rcpr.dw.procedures.PopulateD_DATE>logs\populate-D_DATE.log

%DB2_CMD% work_spc\scripts\initD_Date.sql> logs\initD_Date.log
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace SQLSTATE "%CD%"\logs\initD_Date.log>nul
IF "%ERRORLEVEL%" EQU "1" (
SET MESSAGE=%CRREWMSGE025%  
SET EXITCODE=%CRREW4525E% 
SET ACTION=%CRREWECH014%
GOTO done)

GOTO done

:validate

SET EXITCODE=0
SET MESSAGE=No errors

IF NOT DEFINED CURINST (
SET EXITCODE=%CRREW4501E%
SET MESSAGE=%CRREWMSGE001%
GOTO done)  

IF NOT DEFINED DBNAME (
SET EXITCODE=%CRREW4502E%
SET MESSAGE=%CRREWMSGE002%
GOTO done)

IF NOT DEFINED DBUSER (
SET EXITCODE=%CRREW4503E%
SET MESSAGE=%CRREWMSGE003%
GOTO done)

IF NOT DEFINED DBPASSWD (
SET EXITCODE=%CRREW4504E%
SET MESSAGE=%CRREWMSGE004%
GOTO done)

IF NOT DEFINED NF_SCHEMA (
SET EXITCODE=%CRREW4505E%
SET MESSAGE=%CRREWMSGE005%
GOTO done)

IF NOT DEFINED STAR_SCHEMA (
SET EXITCODE=%CRREW4506E%
SET MESSAGE=%CRREWMSGE006%
GOTO done)

IF NOT DEFINED REP_USER (
SET EXITCODE=%CRREW4507E%
SET MESSAGE=%CRREWMSGE007%
GOTO done)

IF NOT DEFINED DATA_HOME (
SET EXITCODE=%CRREW4508E%
SET MESSAGE=%CRREWMSGE008%
GOTO done)

IF NOT DEFINED START_YEAR  (
SET EXITCODE=%CRREW4509E%
SET MESSAGE=%CRREWMSGE009%
GOTO done)


IF NOT DEFINED END_YEAR (
SET EXITCODE=%CRREW4510E%
SET MESSAGE=%CRREWMSGE010%
GOTO done)



REG QUERY "HKCU\Control Panel\International" /v Locale>nul
IF "%ERRORLEVEL%" NEQ "0" (
SET EXITCODE=%CRREW4585E%
SET MESSAGE=%CRREWMSGE085%
GOTO done
)

IF "%CURINST%" EQU " " (
SET EXITCODE=%CRREW4501E%
SET MESSAGE=%CRREWMSGE001%
GOTO done)  

IF "%DBNAME%" EQU " " (
SET EXITCODE=%CRREW4502E%
SET MESSAGE=%CRREWMSGE002%
GOTO done)

IF "%DBUSER%" EQU " " (
SET EXITCODE=%CRREW4503E%
SET MESSAGE=%CRREWMSGE003%
GOTO done)

IF "%DBPASSWD%" EQU " " (
SET EXITCODE=%CRREW4504E%
SET MESSAGE=%CRREWMSGE004%
GOTO done)

IF "%NF_SCHEMA%" EQU " " (
SET EXITCODE=%CRREW4505E%
SET MESSAGE=%CRREWMSGE005%
GOTO done)

IF "%STAR_SCHEMA%" EQU " " (
SET EXITCODE=%CRREW4506E%
SET MESSAGE=%CRREWMSGE006%
GOTO done)

IF "%REP_USER%" EQU " " (
SET EXITCODE=%CRREW4507E%
SET MESSAGE=%CRREWMSGE007%
GOTO done)

IF "%DATA_HOME%" EQU " " (
SET EXITCODE=%CRREW4508E%
SET MESSAGE=%CRREWMSGE008%
GOTO done)


IF "%START_YEAR%" EQU " " (
SET EXITCODE=%CRREW4509E%
SET MESSAGE=%CRREWMSGE009%
GOTO done)


IF "%END_YEAR%" EQU " " (
SET EXITCODE=%CRREW4510E%
SET MESSAGE=%CRREWMSGE010%
GOTO done)



db2ilist >db2ilist.txt
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace %CURINST% db2ilist.txt
IF "%ERRORLEVEL%" EQU "0" (
DEL /Q db2ilist.txt
SET EXITCODE=%CRREW4501E%
SET MESSAGE=%CRREWMSGE001%
GOTO done)  

DEL /Q db2ilist.txt

db2 attach to  %CURINST% user %DBUSER% using  "%DBPASSWD%"
IF "%ERRORLEVEL%" NEQ "0" (
SET EXITCODE=%CRREW4584E%
SET MESSAGE=%CRREWMSGE084%
GOTO done)  




IF "%DBUSER%" EQU "%REP_USER%" (
SET EXITCODE=%CRREW4595E%
SET MESSAGE=%CRREWMSGE095%
GOTO done)

GOTO done


:done 
db2 connect reset 
db2 terminate
echo %MESSAGE%. %ACTION%:%EXITCODE%
echo %CRREWECH002%
EXIT /B %EXITCODE%